[cheezyui-notify-container] {
    position: fixed;
    z-index: 9999;
    width: auto;
    max-height: 100vh;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    pointer-events: none;
    overflow: hidden;
    box-sizing: border-box;
}

[cheezyui-notify-container].topLeft {
    top: 0rem;
    left: 0rem;
    margin-top: 5rem;
    margin-left: 18.7rem;
}

[cheezyui-notify-container].topCenter {
    top: 0rem;
    left: 50%;
    transform: translateX(-50%);
    margin-top: 5rem;
}

[cheezyui-notify-container].topRight {
    top: 0rem;
    right: 0rem;
    margin-top: 5rem;
    margin-right: 2.5rem;
}

[cheezyui-notify-container].bottomLeft {
    bottom: 0rem;
    left: 0rem;
    margin-left: 2rem;
    margin-bottom: 2rem;
    justify-content: end;
}

[cheezyui-notify-container].bottomCenter {
    left: 50%;
    transform: translateX(-50%);
    bottom: 0rem;
    margin-bottom: 2rem;
    justify-content: end;
}

[cheezyui-notify-container].bottomRight {
    bottom: 0rem;
    right: 0rem;
    margin-bottom: 2rem;
    margin-right: 2.5rem;
    justify-content: end;
}

@media (width < 800px) {
    [cheezyui-notify-container].topRight {
        margin-top: 3.5rem;
        margin-right: 0;
        left: 50%;
        transform: translateX(-50%);
        width: 97vw;
    }
}

.cheezyui-notify {
    padding-top: 1.2rem;
    padding-bottom: 1rem;
    padding-left: 3rem;
    padding-right: 3rem;
    background-color: #1e2434;
    border: 1px solid #242c3f;
    box-shadow: 0rem 0.25rem 1.5rem 0.25rem #0f131c85;
    border-radius: 1rem;
    display: flex;
    flex-shrink: 0;
    width: 100%;
    max-width: 25rem;
    position: relative;
    cursor: pointer;
    pointer-events: auto;
    overflow-x: hidden;
    opacity: 0;
    filter: blur(0.625rem);
    transition: all 0.4s ease-in-out;
}

.cheezyui-notify:hover {
    background-color: #161b27;
}

.cheezyui-notify.show {
    opacity: 1;
    filter: blur(0);
}

.cheezyui-notify.hide {
    opacity: 0;
    filter: blur(0.625rem);
}

.cheezyui-notify.success {
    --color: #4caf50;
}

.cheezyui-notify.error {
    --color: #ff5252;
}

.cheezyui-notify.info {
    --color: #2196f3;
}

.cheezyui-notify.warning {
    --color: #e9be00;
}


.cheezyui-notify-icon {
    color: var(--color);
    font-size: 1rem;
    position: absolute;
    left: 0rem;
    top: 0rem;
    margin-left: 1rem;
    margin-top: 1rem;
}

.cheezyui-notify-content {
    display: flex;
    flex-direction: column;
}

.cheezyui-notify-close {
    color: #4e525c;
    position: absolute;
    right: 0rem;
    top: 0rem;
    font-size: 0.75rem;
    margin-top: 1rem;
    margin-right: 1rem;
    cursor: pointer;
    transition: color 200ms;
}

.cheezyui-notify-close:hover {
    color: var(--color);
}

.cheezyui-notify-progress-bar-wrapper {
    position: absolute;
    left: 0rem;
    right: 0rem;
    bottom: 0rem;
    height: 0.125rem;
    background-color: rgba(255, 255, 255, 0.089);
    pointer-events: none;
    border-radius: 50%;
}

.cheezyui-notify-progress-bar {
    position: absolute;
    height: 100%;
    background-color: var(--color);
    border-radius: 50%;
    animation: notifyProgress linear;
    opacity: 50%;
}

.cheezyui-notify-content-header {
    color: #f0f4ff;
    font-weight: 500;
    font-size: 1rem;
    line-height: 1rem;
    padding-bottom: 0.35rem;
}

.cheezyui-notify-content-message {
    color: #6a7289;
    font-size: 0.9375rem;
    line-height: 1.175rem;
}

@keyframes notifyProgress {
    from {
        width: 100%;
    }

    to {
        width: 0;
    }
}

@media (width < 800px) {
    .cheezyui-notify {
        padding-top: 1.05rem;
        padding-bottom: 0.8rem;
        padding-left: 2.75rem;
        padding-right: 2.75rem;
        margin: 0 auto;
    }

    .cheezyui-notify-icon {
        font-size: 0.85rem;
        margin-left: 0.85rem;
        margin-top: 0.85rem;
    }

    .cheezyui-notify-close {
        font-size: 0.65rem;
        margin-top: 0.85rem;
        margin-right: 0.85rem;
    }

    .cheezyui-notify-content-header {
        font-size: 0.875rem;
        line-height: 0.875rem;
        padding-bottom: 0.25rem;
    }

    .cheezyui-notify-content-message {
        font-size: 0.875rem;
        line-height: 1.075rem;
    }
}